QSELECT(1)

NAME
qselect - select queues.

SYNTAX
qselect [ -help ] [ -l resource=val,... ] [ -pe pe_name,... ] [ -q queue,... ] [ -U user,... ]

DESCRIPTION
qselect prints a list of xxQS_NAMExx queue names corresponding to selection criteria specified in the qselect arguments described below. The output of qselect can be fed into other xxQS_NAMExx commands to apply actions on the selected queue sets. For example together with the -mqattr option to qselect can be used to modify queue attributes on a set of queues.

OPTIONS

-help
    Prints a listing of all options.

-l resource[=value],...
    Defines the resources to be granted by the queues which should be included in the queue list output.

-pe pe_name,...
    Includes queues into the output which are attached to at least one of the parallel environments enlisted in the comma separated option argument.

-q queue,...
    Directly specifies the queues to be included in the output. This option usually is only meaningful in conjunction with another qselect option to extract a subset of queue names from a list given by -q.

-U user,...
    Includes the queues to which the specified users have access in the qselect output.

EXAMPLES
=====================================================
qselect -l arch=linux
qselect -l arch=linux -U andreas,shannon
qconf -mqattr h_vmem=1GB `qselect -l arch=linux
=====================================================
The first example prints the names of those queues residing on Linux machines. The second command in addition restricts the output to those queues with access permission for the users andreas and shannon. The third command changes the queue attribute h_vmem to 1 Gigabyte on queues residing on Linux machines (see the manual page for details on the -mqattr option and the manual page on details of queue configuration entries).

ENVIRONMENTAL VARIABLES

xxQS_NAME_Sxx_ROOT
    Specifies the location of the xxQS_NAMExx standard configuration files.

xxQS_NAME_Sxx_CELL
    If set, specifies the default xxQS_NAMExx cell. To address a xxQS_NAMExx cell qselect uses (in the order of precedence):

        The name of the cell specified in the environment variable xxQS_NAME_Sxx_CELL, if it is set.

        The name of the default cell, i.e. default.

xxQS_NAME_Sxx_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for xxQS_NAMExx communication of the qselect client resides. Per default the local host is used.

FILES
<xxqs_name_sxx_root>/<cell>/common/act_qmaster
	xxQS_NAMExx master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.